<!-- HTMl, CSS e JS -->
<div class="text-right">
	<a [href]="previewUrl" *ngIf="previewUrl" class="br-button primary" target="_blank">
		<i class="fas fa-external-link-alt"></i>
		<span class="content">Ver em nova aba</span>
	</a>
</div>

<!-- Exemplos separados -->
<ng-container *ngFor="let tabs of previewTabs; let $index = index">
	<h2 *ngIf="tabs.label">{{ tabs.label }}</h2>
	<br-tabs [tabs]="tabs.tabs" *ngIf="previewTabs && previewTabs.length > 0">
		<ng-container *ngFor="let tab of tabs.tabs">
			<div class="tab-panel" [id]="'panel-' + tab.id" [ngClass]="{ 'is-active': tab.isActive }">
				<!-- iFrame Toolbar -->
				<ng-container
					[ngTemplateOutlet]="iframeToolbar"
					[ngTemplateOutletContext]="{
						$implicit: tab.unsafeContent,
						id: tab.id
					}"
				></ng-container>

				<!-- iFrame -->
				<div class="br-code-iframe" *ngIf="tab.isPreview && tab.content">
					<iframe
						(load)="onIFrameLoad($event)"
						[attr.srcDoc]="tab.content"
						title="{{ tabs.label }}"
						[title]="tabs.label"
						*ngIf="tab.url"
						#iframe
						allowfullscreen
						[id]="'iframe-preview' + $index"
						sandbox="allow-forms allow-modals allow-popups allow-same-origin allow-scripts"
						seamless
					>
						<p>A funcionalidade de <strong>Preview</strong> não funciona no seu browser!</p>
						<p>
							Por favor acesse o conteúdo em nova aba ou no codePen para verificar o componente
							funcionando corretamente.
						</p>
					</iframe>
				</div>

				<!-- Código HTML -->
				<markdown
					ngPreserveWhitespaces
					class="code-tabs"
					*ngIf="!tab.isPreview && tab.content"
					[data]="tab.unsafeContent | language: tab.lang"
				></markdown>
			</div>
		</ng-container>
		<div class="mt-5 mb-5"></div>
	</br-tabs>
</ng-container>

<!-- code -->
<h2>Código compartilhado entre exemplos</h2>
<br-tabs [tabs]="codeTabs" *ngIf="codeTabs && codeTabs.length > 0">
	<ng-container *ngFor="let tab of codeTabs">
		<div class="tab-panel" [id]="'panel-' + tab.id" [ngClass]="{ 'is-active': tab.isActive }">
			<!-- iFrame -->
			<div class="br-code-iframe" *ngIf="tab.isPreview">
				<iframe
					(load)="onIFrameLoad($event)"
					[src]="tab.url"
					*ngIf="tab.url"
					#iframe
					allowfullscreen
					class="embed-responsive-item"
					id="code-preview"
					sandbox="allow-forms allow-modals allow-popups allow-same-origin allow-scripts"
					seamless
					title="Preview"
				>
					<p>A funcionalidade de <strong>Preview</strong> não funciona no seu browser!</p>
					<p>
						Por favor acesse o conteúdo em nova aba ou no codePen para verificar o componente funcionando
						corretamente.
					</p>
				</iframe>
			</div>

			<div *ngIf="tab.lang">
				<markdown
					class="code-tabs"
					*ngIf="!tab.isPreview && tab.content"
					[data]="tab.content | language: tab.lang"
				>
				</markdown>
			</div>
		</div>
	</ng-container>
</br-tabs>

<!-- Botões específicos de cada iframe -->
<ng-template #iframeToolbar let-unsafeContent let-id="id">
	<!-- Form usado apenas para enviar o conteúdo para o codePen de acordo com a doc. https://blog.codepen.io/documentation/prefill/ -->
	<form
		#codeForm
		ngNoForm
		action="https://codepen.io/pen/define"
		method="post"
		target="_blank"
		class="code-form text-right mt-2 mb-2"
	>
		<!-- Para a API do codePen o name do input é obrigatório se chamar data -->
		<label for="data" class="visuallyhidden" aria-hidden="true"></label>
		<input [id]="'data-' + id" name="data" type="hidden" />
		<button
			class="br-button secondary small"
			type="submit"
			aria-label="Abrir no CodePen"
			(click)="sendToCodePen(unsafeContent, 'data-' + id)"
		>
			<i class="fab fa-codepen" aria-hidden="true"></i>
			<span>Abrir no CodePen</span>
		</button>
	</form>
</ng-template>
